﻿package 
{
	import flash.display.MovieClip;
	import flash.net.*;
	import flash.events.*;
	import ru.flexfactory.*;

	public class Main extends MovieClip
	{
		//константа для хранения имени xml файла
		//private static const XML_PATH:String = "data.xml";
		private static const XML_PATH:String = "http://flexfactory.ru/lessons/ken_burns/data.xml";
		
		private var slider:Slider;
		
		public function Main()
		{
			addEventListener(Event.ADDED_TO_STAGE, init);
			
			//добавляем слушателей кнопкам
			arrowRight.addEventListener(MouseEvent.CLICK, nextHandler);
			arrowLeft.addEventListener(MouseEvent.CLICK, prevHandler);
		}
		
		private function init(event:Event):void
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			var request:URLRequest = new URLRequest(XML_PATH);
			var loader:URLLoader = new URLLoader();
			loader.addEventListener(Event.COMPLETE, completeHandler);
			loader.addEventListener(IOErrorEvent.IO_ERROR, ioErrorHandler);
			loader.load(request);
		}
		
		private function completeHandler(event:Event):void
		{
			event.target.removeEventListener(Event.COMPLETE, completeHandler);
			event.target.removeEventListener(IOErrorEvent.IO_ERROR, ioErrorHandler);
			
			var xml:XML = new XML(event.target.data);
			
			slider = new Slider(xml);
			
			//добавляем на экран с индексом 0, чтобы при отображении слайдом стрелки не оказались за изображением
			addChildAt(slider, 0);
			slider.init();
		}
		
		private function ioErrorHandler(event:IOErrorEvent):void
		{
			trace(event.text);
		}
		
		private function nextHandler(event:MouseEvent):void
		{
			slider.showNext();
		}
		
		private function prevHandler(event:MouseEvent):void
		{
			slider.showPrev();
		}
	}
}