﻿package ru.flexfactory
{
	import flash.display.*;
	import flash.net.URLRequest;
	import flash.events.*;
	
	import com.greensock.*; 
	import com.greensock.plugins.*;
	import flash.geom.Point;
	import flash.text.TextField;

	public class Slide extends MovieClip
	{
		private var sourceMC:MovieClip;
		private var durationFade:int;
		
		public function Slide(imagePath:String, durationFade:int = 1)
		{
			TweenPlugin.activate([AutoAlphaPlugin]);
			
			this.durationFade = durationFade;
			loadImage(imagePath);
		}
		
		private function loadImage(imagePath:String):void
		{
			var loader:Loader = new Loader();
			var request:URLRequest = new URLRequest(imagePath);
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, completeHandler);
			loader.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR, ioErrorHandler);
			loader.load(request);
		}
		
		private function completeHandler(event:Event):void
		{
			event.target.removeEventListener(Event.COMPLETE, completeHandler);
			event.target.removeEventListener(IOErrorEvent.IO_ERROR, ioErrorHandler);
			
			var bitmap:Bitmap = event.target.content;
			bitmap.smoothing = true;
			sourceMC = new MovieClip();
			sourceMC.addChild(bitmap);	
			addChild(sourceMC);
			
			dispatchEvent(new Event(Event.COMPLETE));
		}
		
		private function ioErrorHandler(event:IOErrorEvent):void
		{
			trace(event.text);
		}
		
		public function fadeIn():void
		{
			if (sourceMC == null) return;
			TweenLite.from(sourceMC, durationFade, {autoAlpha:0});
		}
	}
}